Skip to main content

Get all leads

GEThttps://api.propexo.com/v1/leads/

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters​

order-by string

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

Default value: created_at:desc
updated_at_gte string | null

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_lte string | null

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

last_seen_gte string | null

Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

last_seen_lte string | null

Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offset integer | null

Possible values: >= 0

Can be used for paginating results

Default value: 0
limit integer | null

Possible values: >= 0 and <= 250

A number between 1 and 250 to determine the number of results to return in a single query

Default value: 100
x_id string

The external lead id

x_property_id string

Deprecated: Use the Propexo property_id instead

location_id string

The Propexo unique identifier for the location associated with the property (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.

x_unit_id string

The external unit id

email_1 string

Lead email address

email_2 string

Lead email address alternate

property_id string

The Propexo property id

integration_id string

The Propexo integration id

integration_vendor string
Show 13 enum values
APPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_REST

The integration vendor for the lead.

phone_1 string

Possible values: Value must match regular expression ^[2-9]\d{9}$

Filter by phone number (10 digit format only)

Response​

Successful response

    meta objectrequired
    offsetinteger

    The offset of the first result

    Possible values: >= 0

    Example: 0
    limitinteger

    The number of results to return

    Possible values: >= 0 and <= 250

    Example: 100
    orderBy object[]required

    The order of the results

  • Array [
  • object
  • ]
  • hasMoreboolean | nullnullable

    Whether there are more results

    totalinteger

    The total number of results

    Possible values: >= 0

    Example: 1000
    results object[]required
  • Array [
  • idstringrequired

    The Propexo unique identifier for the lead

    Example: clwktsp9v000008l31iv218hn
    created_atstringrequired

    The date record first entered Propexo

    Example: 2024-03-21T15:38:08.337Z
    updated_atstringrequired

    The date record was last updated in Propexo

    Example: 2024-03-22T10:59:45.119Z
    last_seenstring | nullnullablerequired

    The date the record was last seen from the PMS

    Example: 2024-03-22T10:59:45.119Z
    x_created_atstring | nullnullablerequired

    The date the record first entered the integration vendor

    Method
    getProspects
    Example: 2025-02-01T00:00:00.000Z
    x_guestcard_idnullrequired

    The external ID of the guestcard from the integration vendor

    Notice

    This field will always be null for PROPERTYWARE

    Example: null
    x_idstringrequired

    The external ID from the integration vendor

    Method
    getProspects
    Example: 774210
    x_leasing_agent_idnullrequired

    The external ID of the leasing agent from the integration vendor

    Notice

    This field will always be null for PROPERTYWARE

    Example: null
    x_property_idstringrequired

    The external ID of the property from the integration vendor

    Method
    getProspects
    Example: 481920
    x_unit_idstring | nullnullablerequireddeprecated

    DEPRECATED: Use x_unit_id_preferred instead

    Method
    getProspects
    x_unit_id_preferredstring[]required

    The external IDs of the units from the integration vendor that the lead is interested in

    Method
    getProspects
    Example: ["456","123"]
    x_updated_atstring | nullnullablerequired

    The date the record was last updated in the integration vendor

    Method
    getProspects
    Example: 2025-02-10T00:00:00.000Z
    x_lead_source_idnullrequired

    The external ID of the lead source from the integration vendor

    Notice

    This field will always be null for PROPERTYWARE

    Example: null
    address_1string | nullnullablerequired

    The first address line associated with the lead

    Method
    getProspects
    Example: 1200 Market Street
    address_2string | nullnullablerequired

    The second address line associated with the lead

    Method
    getProspects
    Example: Apt 4B
    citystring | nullnullablerequired

    The city associated with the lead

    Method
    getProspects
    Example: Austin
    countrystring | nullnullablerequired

    The country associated with the lead

    Method
    getProspects
    Example: USA
    custom_data object | nullrequired
    object
    date_of_birthnullrequired

    The date of birth associated with the lead

    Notice

    This field will always be null for PROPERTYWARE

    Example: null
    desired_amenitiesnullrequired

    The desired amenities associated with the lead

    Notice

    This field will always be null for PROPERTYWARE

    Example: null
    desired_floor_plan_idnullrequired

    The external ID of desired floor plan associated with the lead

    Notice

    This field will always be null for PROPERTYWARE

    Example: null
    desired_floor_plan_namenullrequired

    The desired floor plan name

    Notice

    This field will always be null for PROPERTYWARE

    Example: null
    desired_lease_term_in_monthsnullrequired

    The desired lease term

    Notice

    This field will always be null for PROPERTYWARE

    Example: null
    desired_max_rent_in_centsnumber | nullnullablerequired

    The desired maximum rent

    Method
    getProspects
    Example: 200000
    desired_max_square_ftnullrequired

    The desired maximum square feet

    Notice

    This field will always be null for PROPERTYWARE

    Example: null
    desired_min_rent_in_centsnumber | nullnullablerequired

    The desired minimum rent

    Method
    getProspects
    Example: 150000
    desired_min_square_ftnullrequired

    The desired minimum square feet

    Notice

    This field will always be null for PROPERTYWARE

    Example: null
    desired_num_bathroomsnumber | nullnullablerequired

    The desired number of bathrooms

    Method
    getProspects
    Example: 2
    desired_num_bedroomsinteger | nullnullablerequired

    The desired number of bedrooms

    Method
    getProspects
    Example: 2
    desired_unit_numbernullrequired

    The desired unit number

    Notice

    This field will always be null for PROPERTYWARE

    Example: null
    desired_unit_typenullrequired

    The desired unit type

    Notice

    This field will always be null for PROPERTYWARE

    Example: null
    email_1string | nullnullablerequired

    The primary email address associated with the lead

    Method
    getProspects
    email_2nullrequired

    The secondary email address associated with the lead

    Notice

    This field will always be null for PROPERTYWARE

    Example: null
    first_namestring | nullnullablerequired

    The first name associated with the lead

    Method
    getProspects
    Example: Jane
    ilsnullrequired

    The name of the Internet listing service

    Notice

    This field will always be null for PROPERTYWARE

    Example: null
    last_namestring | nullnullablerequired

    The last name associated with the lead

    Method
    getProspects
    Example: Doe
    lead_sourcestring | nullnullablerequired

    The lead source

    Method
    getProspects
    Example: Website
    leasing_agentnullrequired

    The name of the leasing agent

    Notice

    This field will always be null for PROPERTYWARE

    Example: null
    middle_namestring | nullnullablerequired

    The middle name associated with the lead

    Method
    getProspects
    Example: A
    notesstring | nullnullablerequired

    Notes associated with the lead

    Method
    getProspects
    Example: Looking for a 2 bedroom near downtown
    number_of_occupantsinteger | nullnullablerequired

    The number of occupants

    Method
    getProspects
    Example: 2
    pet_detailsstring | nullnullablerequireddeprecated

    DEPRECATED: Use the pets array instead

    Method
    getProspects
    Example: Dog
    pets object[]required

    The pets associated with the lead

    Notice

    This field is not currently hydrated for PROPERTYWARE

  • Array [
  • idstringrequired

    The Propexo unique identifier for the lead pet

    Example: clwktsp9v000008l31iv218hn
    created_atstringrequired

    The date record first entered Propexo

    Example: 2024-03-21T15:38:08.337Z
    updated_atstringrequired

    The date record was last updated in Propexo

    Example: 2024-03-22T10:59:45.119Z
    last_seenstring | nullnullablerequired

    The date the record was last seen from the PMS

    Example: 2024-03-22T10:59:45.119Z
    x_idstringrequired

    The external ID from the integration vendor

    age_in_yearsnumber | nullnullablerequired

    The age in years of the lead pet

    Notice

    This field is not currently hydrated for PROPERTYWARE

    breedstring | nullnullablerequired

    The breed of the lead pet

    Notice

    This field is not currently hydrated for PROPERTYWARE

    colorstring | nullnullablerequired

    The color of the lead pet

    Notice

    This field is not currently hydrated for PROPERTYWARE

    gender_rawstring | nullnullablerequired

    The raw value for the gender of the lead pet

    Notice

    This field is not currently hydrated for PROPERTYWARE

    is_fixedboolean | nullnullablerequired

    Whether the lead pet is fixed

    Notice

    This field is not currently hydrated for PROPERTYWARE

    is_service_animalboolean | nullnullablerequired

    Whether the lead pet is a service animal

    Notice

    This field is not currently hydrated for PROPERTYWARE

    namestring | nullnullablerequired

    The name associated with the lead pet

    Notice

    This field is not currently hydrated for PROPERTYWARE

    notesstring | nullnullablerequired

    Notes associated with the lead pet

    Notice

    This field is not currently hydrated for PROPERTYWARE

    typestring | nullnullablerequired

    The type associated with the lead pet

    Notice

    This field is not currently hydrated for PROPERTYWARE

    weight_in_poundsnumber | nullnullablerequired

    The weight in pounds of the lead pet

    Notice

    This field is not currently hydrated for PROPERTYWARE

    custom_data object | nullrequired
    object
  • ]
  • phone_1_typestring | nullnullablerequired

    Type of the primary phone number

    Method
    getProspects
    Example: MOBILE
    phone_1string | nullnullablerequired

    Primary phone number associated with the lead

    Method
    getProspects
    Example: (555) 555-0100
    phone_2_typestring | nullnullablerequired

    Type of the secondary phone number

    Method
    getProspects
    Example: HOME
    phone_2string | nullnullablerequired

    Secondary phone number associated with the lead

    Method
    getProspects
    Example: (555) 555-0101
    statestring | nullnullablerequired

    The state associated with the lead

    Method
    getProspects
    Example: TX
    statusstring | nullnullablerequired

    The raw status associated with the lead

    Method
    getProspects
    Example: New
    target_move_in_datestring | nullnullablerequired

    The target move in date

    Method
    getProspects
    Example: 2025-04-01T00:00:00.000Z
    zipstring | nullnullablerequired

    The zip code associated with the lead

    Method
    getProspects
    Example: 78701
    property_idstringrequired

    The Propexo unique identifier for the property

    Example: clwi5xiix000008l6ctdgafyh
    lead_source_idnullrequired

    The Propexo unique identifier for the lead source

    Notice

    This field will always be null for PROPERTYWARE

    Example: null
    unit_id_preferredstring[]required

    The Propexo unique identifiers for the units that the lead is interested in

    Method
    getProspects
    Example: ["testintegration:123:456","testintegration:678:123"]
    integration_idstringrequired

    The Propexo unique identifier for the integration

    Example: clwh5u07w000508me66sfh3um
    integration_vendorEnum17required

    The property management system of record

    Show 13 enum values
    PROPERTYWAREAPPFOLIOBUILDIUMENTRATAMRIPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_REST
    Example: PROPERTYWARE
    screenings object[]required
    Notice

    This field is not currently hydrated for PROPERTYWARE

  • Array [
  • idstringrequired

    The Propexo ID of the screening

    Example: clwktsp9v000008l31iv218hn
    created_atstringrequired

    The date record first entered Propexo

    Example: 2024-03-21T15:38:08.337Z
    last_seenstringrequired

    The date the record was last seen from the PMS

    Example: 2024-03-22T10:59:45.119Z
    x_idstringrequired

    The external ID from the integration vendor

    status_rawstring | nullnullablerequired

    The status/results of the screening

    Notice

    This field is not currently hydrated for PROPERTYWARE

    screening_datestring | nullnullablerequired

    The date the screening took place

    Notice

    This field is not currently hydrated for PROPERTYWARE

  • ]
  • ]

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
GET /v1/leads/
curl https://api.propexo.com/v1/leads/ \
-H "Authorization: Bearer <token>"
200 Successful response
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": [
{
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_created_at": "2025-02-01T00:00:00.000Z",
"x_guestcard_id": null,
"x_id": "774210",
"x_leasing_agent_id": null,
"x_property_id": "481920",
"x_unit_id_preferred": [
"456",
"123"
],
"x_updated_at": "2025-02-10T00:00:00.000Z",
"x_lead_source_id": null,
"address_1": "1200 Market Street",
"address_2": "Apt 4B",
"city": "Austin",
"country": "USA",
"custom_data": "Unknown Type: object,null",
"date_of_birth": null,
"desired_amenities": null,
"desired_floor_plan_id": null,
"desired_floor_plan_name": null,
"desired_lease_term_in_months": null,
"desired_max_rent_in_cents": 200000,
"desired_max_square_ft": null,
"desired_min_rent_in_cents": 150000,
"desired_min_square_ft": null,
"desired_num_bathrooms": 2,
"desired_num_bedrooms": 2,
"desired_unit_number": null,
"desired_unit_type": null,
"email_1": "[email protected]",
"email_2": null,
"first_name": "Jane",
"ils": null,
"last_name": "Doe",
"lead_source": "Website",
"leasing_agent": null,
"middle_name": "A",
"notes": "Looking for a 2 bedroom near downtown",
"number_of_occupants": 2,
"pets": [
{
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "string",
"age_in_years": 0,
"breed": "string",
"color": "string",
"gender_raw": "string",
"is_fixed": true,
"is_service_animal": true,
"name": "string",
"notes": "string",
"type": "string",
"weight_in_pounds": 0,
"custom_data": "Unknown Type: object,null"
}
],
"phone_1_type": "MOBILE",
"phone_1": "(555) 555-0100",
"phone_2_type": "HOME",
"phone_2": "(555) 555-0101",
"state": "TX",
"status": "New",
"target_move_in_date": "2025-04-01T00:00:00.000Z",
"zip": "78701",
"property_id": "clwi5xiix000008l6ctdgafyh",
"lead_source_id": null,
"unit_id_preferred": [
"testintegration:123:456",
"testintegration:678:123"
],
"integration_id": "clwh5u07w000508me66sfh3um",
"integration_vendor": "PROPERTYWARE",
"screenings": [
{
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "string",
"status_raw": "string",
"screening_date": "string"
}
]
}
]
}